#
# spec file for package awstats (Version 6.95)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define _default_patch_fuzz 3

Name:           awstats
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Web/Utilities
Version:        7.0
Release:        85.1
URL:            http://awstats.sourceforge.net
Summary:        Advanced Web Statistics
Source:         awstats-%{version}.tar.bz2
Source2:        module.awstats
Source4:        cron.d.awstats
Source5:        awstats-update
Source6:        awstats-update.8
Source7:        awstats.logrotate
Source8:        apache2.awstats.conf
Source9:	awstats-rpmlintrc
Patch:          %{name}-%{version}.patch
Patch1:         %{name}-%{version}-CVE-2006-2237_read_open.patch
Patch2:         %{name}-%{version}-geo.patch
Patch3:         %{name}-%{version}-enable_ipv6.patch
Patch4:         %{name}-%{version}-ftp_conf.patch
Patch5:         %{name}-%{version}-smtp_conf.patch
Patch7:		%{name}-%{version}-www_SiteConfig.patch
Patch10:	%{name}-%{version}-java15.patch
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:	no
Requires:	perl perl-Net-DNS logrotate

BuildRequires:	dos2unix java-1_6_0-openjdk-devel

%if 0%{?suse_version}
Requires:	cron apache2
%define apache_serverroot /srv/www
%define apache_htdir %{apache_serverroot}/htdocs
%define apaconfdir	%{_sysconfdir}/apache2
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
Requires:	vixie-cron httpd
%define apache_serverroot /var/www
%define apache_htdir	%{apache_serverroot}/html
%define apaconfdir	%{_sysconfdir}/httpd
%endif

%description
Advanced Web Statistics (AWStats) is a powerful Web server log file
analyzer (Perl script) that shows Web statistics including visitors,
pages, hits, hours, search engines, keywords used to find your site,
broken links, robots, and more.



%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch7
%patch10
find -type f -name .cvsignore -print0 | xargs -r0 rm -v

%build
pushd wwwroot/classes/src
 ./Makefile.pl
popd
# fix dos linebreaks in tools
pushd tools
 dos2unix *.pl
popd

%install
%__install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin
%__install -d -m 755 $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/classes
%__install -d -m 755 $RPM_BUILD_ROOT%{apache_htdir}/icons/awstats
%__install -d -m 755 $RPM_BUILD_ROOT/var/lib/awstats/lang
%__install -d -m 755 $RPM_BUILD_ROOT/var/cache/awstats
%__install -d -m 755 $RPM_BUILD_ROOT%{apaconfdir}
%__install -d -m 755 $RPM_BUILD_ROOT%{apaconfdir}/conf.d
%__install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/awstats
%__install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
%__install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
%__install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
%__install -d -m 755 $RPM_BUILD_ROOT/usr/share/apache2/icons/awstats/
%__install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man8
cp -a wwwroot/icon/* $RPM_BUILD_ROOT%{apache_htdir}/icons/awstats/
cp -a wwwroot/icon/* $RPM_BUILD_ROOT/usr/share/apache2/icons/awstats/
cp -a wwwroot/cgi-bin/lang $RPM_BUILD_ROOT/var/lib/awstats/
cp -a wwwroot/cgi-bin/{lib,plugins} $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
cp -a wwwroot/classes/* $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/classes/
cp -a wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/
cp -a wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT%{_sysconfdir}/awstats/awstats.conf.web
cp -a wwwroot/cgi-bin/awstats.model.conf.ftp $RPM_BUILD_ROOT%{_sysconfdir}/awstats/awstats.conf.ftp
cp -a wwwroot/cgi-bin/awstats.model.conf.smtp $RPM_BUILD_ROOT%{_sysconfdir}/awstats/awstats.conf.smtp
%__install -m 644 $RPM_SOURCE_DIR/apache2.awstats.conf $RPM_BUILD_ROOT%{apaconfdir}/conf.d/awstats.conf
%__install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
%__install -m 644 $RPM_SOURCE_DIR/cron.d.awstats $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/suse-awstats
%__install -m 755 $RPM_SOURCE_DIR/awstats-update $RPM_BUILD_ROOT/usr/sbin
%__install -m 644 $RPM_SOURCE_DIR/awstats-update.8 $RPM_BUILD_ROOT%{_mandir}/man8
%__install -m 644 $RPM_SOURCE_DIR/awstats.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/awstats
rm -rf $RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin/lib/browsers.pm.orig
# fix executable bits in docs
find docs/ -type f -exec chmod -x {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT docs/* wwwroot/js wwwroot/css tools
%config(noreplace) /etc/logrotate.d/awstats
%dir /etc/awstats
%attr(644,root,root) %config /etc/awstats/awstats.conf.web
%attr(644,root,root) %config /etc/awstats/awstats.conf.ftp
%attr(644,root,root) %config /etc/awstats/awstats.conf.smtp
%config /etc/cron.d/suse-awstats
%attr(755,root,root) %{_sbindir}/awstats-update
%{_mandir}/man8/awstats-update.8.gz
%attr(755,root,root) %{apache_serverroot}/cgi-bin/awstats.pl
%{apache_serverroot}/cgi-bin/plugins
%{apache_serverroot}/cgi-bin/lib
%{apache_serverroot}/cgi-bin/classes
%dir %{apache_htdir}/icons
%{apache_htdir}/icons/*
%dir /var/lib/awstats
/var/lib/awstats/lang
%dir /var/cache/awstats
%dir %{apaconfdir}
%dir %{apaconfdir}/conf.d
%dir /usr/share/apache2
%dir /usr/share/apache2/icons
%config %{apaconfdir}/conf.d/awstats.conf
%{_datadir}/apache2/icons/awstats

%changelog
* Fri Jan 07 2010 Carsten Schoene <vhcs@j0ke.net> - 7.0-80
- update to release 7.0

* Sat Oct 10 2009 Carsten Schoene <vhcs@j0ke.net> - 6.95-70
- update to prerelease 6.95
 - removed dos2unix makefile patch
 - reworked geoip & browser patch

* Mon Jan 12 2009 Carsten Schoene <vhcs@j0ke.net> - 6.9-50
- update to release 6.9
 - reworked all patches
 
* Sat Nov 15 2008 Carsten Schoene <vhcs@j0ke.net> - 6.8-45
- update to release 6.8
 - cross-distribution build
 - reworked some patches
 - added www_SiteConfig patch
